From dcc3b944d70a0d75c9d3c78468642474bd31f555 Mon Sep 17 00:00:00 2001
From: Peter Seiderer <seiderer@localhost.(none)>
Date: Mon, 30 Jan 2012 23:30:48 +0100
Subject: [PATCH 10/11] Fixes for HTML 4.01 Transitional conformance.

---
 jigl.pl |   20 ++++++++++----------
 1 files changed, 10 insertions(+), 10 deletions(-)

diff --git a/jigl.pl b/jigl.pl
index 30f9802..914f8e4 100755
--- a/jigl.pl
+++ b/jigl.pl
@@ -2296,9 +2296,9 @@ sub genSlidePages {
 
                 # check to see if we need to link the slide to the original
                 if ($opts{lo}) {
-                    $tmpVar = "<a href=\"$origImg\"><img src=\"$slideImg\" width=$slideX height=$slideY border=1></a>";
+                    $tmpVar = "<a href=\"$origImg\"><img src=\"$slideImg\" width=$slideX height=$slideY border=1 alt=\"$slideImg\"></a>";
                 } else {
-                    $tmpVar = "<img src=\"$slideImg\" width=$slideX height=$slideY border=1>";
+                    $tmpVar = "<img src=\"$slideImg\" width=$slideX height=$slideY border=1 alt=\"$slideImg\">";
 
                 }
                 $line =~ s/SLIDE-IMAGE/$tmpVar/g;
@@ -2621,9 +2621,9 @@ sub genInfoPages {
 
                 # check to see if we need to link the slide to the original
                 if ($opts{lo}) {
-                    $tmpVar = "<a href=\"$origImg\"><img src=\"$slideImg\" width=$slideX height=$slideY border=0></a>";
+                    $tmpVar = "<a href=\"$origImg\"><img src=\"$slideImg\" width=$slideX height=$slideY border=0 alt=\"$slideImg\"></a>";
                 } else {
-                    $tmpVar = "<img src=\"$slideImg\" width=$slideX height=$slideY border=0>";
+                    $tmpVar = "<img src=\"$slideImg\" width=$slideX height=$slideY border=0 alt=\"$slideImg\">";
 
                 }
                 $line =~ s/INFO-IMAGE/$tmpVar/g;
@@ -2645,7 +2645,7 @@ sub genInfoPages {
             if ($line =~ /EXIF-NAME-COL/) {
                 # returns all the exif names available for this image.
                 # each name (i.e. date, apature, shutter speed, flash...),
-                # will have a <nobr>before it, and a <br> after it.
+                # will have a &nbsp;before it, and a <br> after it.
                 # this is really meant to be put in a <td></td> column
              
                 # do we have exifInfo to print
@@ -2654,17 +2654,17 @@ sub genInfoPages {
 
                     # create the exif name column
                     for $j (0 .. $#{$albumInfo->{images}[$curr0Index]->{exif}}) {
-                       $tmpVar = $tmpVar . "<nobr>$albumInfo->{images}[$curr0Index]->{exif}->[$j]{field}<br>\n";
+                       $tmpVar = $tmpVar . "&nbsp;$albumInfo->{images}[$curr0Index]->{exif}->[$j]{field}<br>\n";
                     }
                 } else {
-                    $tmpVar = "<nobr>No EXIF info available<br>\n";
+                    $tmpVar = "&nbsp;No EXIF info available<br>\n";
                 }
                 $line =~ s/EXIF-NAME-COL/$tmpVar/g;
             }
             if ($line =~ /EXIF-VAL-COL/) {
                 # returns all the exif values available for this image.
                 # each value (corresponding to the names above)
-                # will have a <nobr>before it, and a <br> after it.
+                # will have a &nbsp;before it, and a <br> after it.
                 # this is really meant to be put in a <td></td> column
              
                 # do we have exifInfo to print
@@ -2673,10 +2673,10 @@ sub genInfoPages {
 
                     # create the exif value column
                     for $j (0 .. $#{$albumInfo->{images}[$curr0Index]->{exif}}) {
-                       $tmpVar = $tmpVar . "<nobr>&nbsp;:&nbsp;$albumInfo->{images}[$curr0Index]->{exif}->[$j]{val}<br>\n";
+                       $tmpVar = $tmpVar . "&nbsp;:&nbsp;$albumInfo->{images}[$curr0Index]->{exif}->[$j]{val}<br>\n";
                     }
                 } else {
-                    $tmpVar = "&nbsp;\n";
+                    $tmpVar = "&nbsp;<br>\n";
                 }
                 $line =~ s/EXIF-VAL-COL/$tmpVar/g;
             }
-- 
1.7.7

